Loading...
Searching...
No Matches
BALL::ReissCavFreeEnergyProcessor::Default Struct Reference

`#include <BALL/SOLVATION/reissCavFreeEnergyProcessor.h>`

## Static Public Attributes

static const int | VERBOSITY
static const float | SOLVENT_NUMBER_DENSITY
static const float | PRESSURE
static const float | ABSOLUTE_TEMPERATURE
static const float | PROBE_RADIUS

## Detailed Description

Default values for cavitation free anergy calculations. These values represent the default settings for the calculations of the cavitation free energy.

Definition at line 91 of file reissCavFreeEnergyProcessor.h.

## Member Data Documentation

## ABSOLUTE_TEMPERATURE

const float BALL::ReissCavFreeEnergyProcessor::Default::ABSOLUTE_TEMPERATURE

static

Default temperature. We use a standard temperature of 298 K (25 degrees Celsius).

See also
  Option::ABSOLUTE_TEMPERATURE

Definition at line 115 of file reissCavFreeEnergyProcessor.h.

## PRESSURE

const float BALL::ReissCavFreeEnergyProcessor::Default::PRESSURE

static

Default pressure. This default value is the standard pressure (1.01325e5 Pa).

See also
  Option::PRESSURE

Definition at line 109 of file reissCavFreeEnergyProcessor.h.

## PROBE_RADIUS

const float BALL::ReissCavFreeEnergyProcessor::Default::PROBE_RADIUS

static

Default probe radius. This probe radius is the one suggested by Reiss et al. in their paper (1.385 $ A $).

See also
  Option::PROBE_RADIUS

Definition at line 122 of file reissCavFreeEnergyProcessor.h.

## SOLVENT_NUMBER_DENSITY

const float BALL::ReissCavFreeEnergyProcessor::Default::SOLVENT_NUMBER_DENSITY

static

Default number density. This default value is the number density of water at 300 K and standard pressure (3.33253e-2 $ A^{-3}$).

See also
  Option::SOLVENT_NUMBER_DENSITY;

Definition at line 103 of file reissCavFreeEnergyProcessor.h.

## VERBOSITY

const int BALL::ReissCavFreeEnergyProcessor::Default::VERBOSITY

static

Default verbosity level.

See also
  Option::VERBOSITY

Definition at line 96 of file reissCavFreeEnergyProcessor.h.